Download Game Client

Select the download for your operating system from the choices below:

Fantasy Realm Online Client For Windows (x86/x64)
(Compatible with Windows 8, Windows 7, Windows Vista, and Windows XP)
ATTN WINDOWS 8 USERS! Before installing click here for Windows 8 Instructions

Version: 0.9.8
System Recommendations:
1.8 Ghz Pentium/AMD (x86/x64) Processor
1.5 Gigabytes of Ram
Video Card with 64 megabytes of video ram or greater
Requires .NET 2.0 or greater

Download Client Installer (MSI)


Fantasy Realm Online Client For Linux (x86/x64)
This package may also be compatible with OSX with proper dependencies installed but has not been tested.

Version: 0.9.8
System Recommendations:
1.8 Ghz Pentium/AMD (x86/x64) Processor
1.5 Gigabytes of Ram
Video Card with 64 megabytes of video ram or greater
Note: compatible Linux driver must be installed

Required Packages (Requires manual install): Mono 2.4 or Later, SDL Packages (All or Music/Sound/Dev), Mesa/OpenGL

Download Zipped Client
an installer will be available sometime in the future to help resolve proper packages for you.
Account Summary
You are not currently logged in. You must login to gain access to your account information.
Click here to login.

Don't have an account, Click here to register a new account.
Windows | Requirements
Linux | Requirements
Like Us On Facebook
Vote For Us On Indie DB
Vote For Us On Game Jolt